Delete Runbook
curl --request DELETE \
--url http://{host}:{port}/{basePath}/runbooks/{name} \
--header 'Authorization: <api-key>'import requests
url = "http://{host}:{port}/{basePath}/runbooks/{name}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('http://{host}:{port}/{basePath}/runbooks/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiVersion": "v1",
"kind": "Status",
"metadata": {
"name": "runbook-disk-cleanup"
},
"status": {
"code": 200,
"message": "Runbook 'runbook-disk-cleanup' excluido com sucesso",
"deletedAt": "2026-03-19T17:00:00Z",
"deletedBy": "admin@empresa.com"
}
}
Runbooks
Delete Runbook
Removes a remediation runbook. Runbooks in use by active incidents cannot be deleted.
DELETE
/
runbooks
/
{name}
Delete Runbook
string
required
Unique runbook name (e.g.,
runbook-disk-cleanup){
"apiVersion": "v1",
"kind": "Status",
"metadata": {
"name": "runbook-disk-cleanup"
},
"status": {
"code": 200,
"message": "Runbook 'runbook-disk-cleanup' excluido com sucesso",
"deletedAt": "2026-03-19T17:00:00Z",
"deletedBy": "admin@empresa.com"
}
}
{
"apiVersion": "v1",
"kind": "Error",
"error": {
"code": 409,
"message": "Runbook in use",
"details": "The runbook 'runbook-oomkill-standard' is being used by incident INC-20260319-001 and cannot be deleted"
}
}
Authorizations
Bearer token issued by the operator. Format: Authorization: Bearer <token>.
Path Parameters
Unique runbook name.
Example:
"runbook-disk-cleanup"
⌘I